Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSGroupDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSGroupDecl

All Implemented Interfaces:
  XSModelGroupDefinition, XSObject

public class XSGroupDecl
extends java.lang.Object
implements XSModelGroupDefinition

The XML representation for a group declaration schema component is a global element information item

Version:
  $Id: XSGroupDecl.java,v 1.6 2003/01/14 20:21:45 elena Exp $
Author:
  Sandy Gao, IBM

Field Summary
`XSModelGroupImpl` | `fModelGroup`
`java.lang.String` | `fName`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSGroupDecl()`

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`XSModelGroup` | `getModelGroup()` {model group} A model group.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fModelGroup

    public XSModelGroupImpl fModelGroup

Constructor Detail

### XSGroupDecl

    public XSGroupDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getModelGroup

    public XSModelGroup getModelGroup()

  {model group} A model group.
  Specified by:
    `getModelGroup` in interface `XSModelGroupDefinition`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSModelGroupDefinition`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.